import { IConfig } from "@oclif/config";
import * as Parser from "@oclif/parser";
import { TBBaseCommand } from "../../command-config";
import type { RegressionThresholdStat } from "../../command-config/tb-config";
export interface CompareAnalyzeFlags {
    fidelity: number;
    regressionThreshold: number;
    isCIEnv: boolean;
    regressionThresholdStat: RegressionThresholdStat;
    jsonReport: boolean;
}
export default class CompareAnalyze extends TBBaseCommand {
    static description: string;
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        fidelity: import("@oclif/command/lib/flags").IOptionFlag<any>;
        regressionThreshold: import("@oclif/command/lib/flags").IOptionFlag<string | number>;
        isCIEnv: import("@oclif/command/lib/flags").IOptionFlag<any>;
        regressionThresholdStat: import("@oclif/command/lib/flags").IOptionFlag<string>;
        jsonReport: Parser.flags.IBooleanFlag<boolean>;
    };
    typedFlags: CompareAnalyzeFlags;
    constructor(argv: string[], config: IConfig);
    private parseFlags;
    run(): Promise<string>;
    private getReportTitles;
}
//# sourceMappingURL=analyze.d.ts.map